Subject: Re: bug#42748: 26.3; Should `move-(beginning|end)-of-line' be in the Elisp manual?

From: Richard Stallman <[email-masked]>
Date: Sat, 08 Aug 2020 21:59:43 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > (elisp) `Text Lines' documents `(beginning|end)-of-line'.  It doesn't
  > > document `move-(beginning|end)-of-line'.  The Emacs manual documents
  > > the latter and not the former.  Is this the best approach, or did the
  > > Elisp manual perhaps just not get updated when `C-a' and `C-e' were
  > > changed to use the `move-*' commands?

The difference between the keyboard commands and the basic functions
is intentional.  THe basic functions are useful in Lisp programs; the
move- commands are on C-a and C-e but are not worth documenting for
Lisp programs to call.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)